<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.zjk.learning_world.mapper.ZjkLearningActivityMapper">

    <select id="getById" resultType="org.dromara.zjk.learning_world.domain.vo.ZjkLearningActivityVo">
        select ZLA.*,su.nick_name user_name,sd.dept_name as deptName
        from Zjk_Learning_Activity ZLA
        left join sys_user su on ZLA.user_id = su.user_id
        left join sys_dept sd on sd.dept_id = su.dept_id
        where ZLA.del_flag = 0 and ZLA.id = #{id}
    </select>
</mapper>
